Page MenuHomePhabricator

Show current coordinates & zoom in edit preview & VE mode
Closed, ResolvedPublic

Description

Per discussion, we should show current map zoom level in the edit preview and VE edit and VE dialog modes.

Event Timeline

Yurik created this task.Mar 14 2016, 3:21 PM
Restricted Application added a project: Discovery. · View Herald TranscriptMar 14 2016, 3:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yurik moved this task from Unsorted to UI tasks on the Maps (Kartographer) board.Mar 14 2016, 6:48 PM

Dialog maybe, but the edit node should as close to the read mode rendering as possible.

Yurik moved this task from Backlog to To-do on the Maps-Sprint board.May 27 2016, 10:19 PM

Change 309349 had a related patch set uploaded (by JGirault):
Show current zoom in edit preview & VE mode

https://gerrit.wikimedia.org/r/309349

JGirault claimed this task.EditedSep 8 2016, 4:30 PM

Suggesting:

  • Edit Preview
  • VE mode

EDIT: I noticed the capital to Zoom was missing, I added it.

JGirault moved this task from To-do to Needs review on the Maps-Sprint board.Sep 8 2016, 4:35 PM

Question: should we allow to edit the map position by coordinates/zoom within VE, as suggested in T133814, or should it be read-only, as suggested in the patch above?

Yurik added a comment.Sep 9 2016, 6:05 PM

I think having 3 boxes for zoom/lat/long is such a rare usecase that we can safely postpone it for now. Maybe eventually we will allow a single field that gets automatically parsed (so a user can copy/paste it from somewhere else) - much nicer user experience, but I think it is a fairly low value at this point.

Change 309349 merged by jenkins-bot:
Show current zoom in edit preview & VE mode

https://gerrit.wikimedia.org/r/309349

JGirault closed this task as Resolved.Sep 14 2016, 3:16 PM
Esanders reopened this task as Open.Nov 7 2016, 1:05 PM

This feature is currently way too prominent for such advanced user information - and using a table in a callout is a very clunky way of presenting it.

This feature is currently way too prominent for such advanced user information - and using a table in a callout is a very clunky way of presenting it.

Do you have suggestions for improvement?
This feature was requested by the community and no one has complained about the current implementation yet.

Esanders renamed this task from Show current zoom in edit preview & VE mode to Show current coordinates & zoom in edit preview & VE mode.Nov 15 2016, 4:28 PM

This feature is currently way too prominent for such advanced user information - and using a table in a callout is a very clunky way of presenting it.

Do you have suggestions for improvement?

Nothing concrete yet :)
Maybe a link inside the map itself, or a small text overlay like the copyright notice.

Yurik removed a project: Maps.Dec 15 2016, 4:40 AM
debt removed JGirault as the assignee of this task.Jun 6 2017, 7:55 PM
debt triaged this task as Low priority.
debt moved this task from Stalled/Waiting to Backlog on the Maps-Sprint board.
debt added subscribers: JGirault, debt.

Moving to backlog until such time that we can take this up again.

Moving off the sprint board - the Discovery team won't be able to finish this work at this time.

Daylen added a subscriber: Daylen.Jul 31 2018, 4:53 AM
matmarex closed this task as Resolved.Oct 19 2018, 11:18 AM
matmarex added a subscriber: matmarex.

So, whether we like the current implementation or not, they are clearly shown, since 2016, so this should probably be closed. If you want to discuss it, I've proposed changes to this interface as a part of T203473: Fix maps dialog in mobile visual editor .